curl --request PATCH \
--url https://api.myscalev.com/v3/bundles/{bundle_id}/bundle-price-options/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 123,
"slug": "<string>"
}
'{
"bundle_id": 123,
"id": 123,
"name": "<string>",
"price": 123,
"price_bt": 123,
"slug": "<string>",
"stores": [
{
"custom_domain": {
"full_url": "<string>",
"id": 123,
"is_verified": true
},
"id": 123,
"name": "<string>"
}
],
"unique_id": "<string>"
}Requires the bundle:update machine scope. Updates an existing bundle price option associated with a specific bundle using the provided data.
curl --request PATCH \
--url https://api.myscalev.com/v3/bundles/{bundle_id}/bundle-price-options/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 123,
"slug": "<string>"
}
'{
"bundle_id": 123,
"id": 123,
"name": "<string>",
"price": 123,
"price_bt": 123,
"slug": "<string>",
"stores": [
{
"custom_domain": {
"full_url": "<string>",
"id": 123,
"is_verified": true
},
"id": 123,
"name": "<string>"
}
],
"unique_id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bundle Price Option data to update
Bundle Price Option updated successfully
Bundle ID
Bundle Price Option ID
Name
Price (including tax)
Price before tax
Slug
List of stores where the bundle price option is available
Show child attributes
Bundle Price Option Unique ID